<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AvailableDate StructType
 * @package Dg
 * @subpackage Structs
 */
class DgAvailableDate extends AbstractStructBase
{
    /**
     * The AvailableDates
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\ArrayType\DgArrayOfDateTime
     */
    public $AvailableDates;
    /**
     * Constructor method for AvailableDate
     * @uses DgAvailableDate::setAvailableDates()
     * @param \dgsoft\ArrayType\DgArrayOfDateTime $availableDates
     */
    public function __construct(\dgsoft\ArrayType\DgArrayOfDateTime $availableDates = null)
    {
        $this
            ->setAvailableDates($availableDates);
    }
    /**
     * Get AvailableDates value
     * @return \dgsoft\ArrayType\DgArrayOfDateTime|null
     */
    public function getAvailableDates()
    {
        return $this->AvailableDates;
    }
    /**
     * Set AvailableDates value
     * @param \dgsoft\ArrayType\DgArrayOfDateTime $availableDates
     * @return \dgsoft\StructType\DgAvailableDate
     */
    public function setAvailableDates(\dgsoft\ArrayType\DgArrayOfDateTime $availableDates = null)
    {
        $this->AvailableDates = $availableDates;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgAvailableDate
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
